# TODO
# cc1plus: warning: command line option "-Wstrict-prototypes" is valid for Ada/C/ObjC but not for C++
Summary:	SilverCity is a lexing package, based on Scintilla
Name:		python-silvercity
Version:	0.9.7
Release:	4
License:	BSD
Group:		Development/Languages/Python
URL:		http://silvercity.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/silvercity/Python%20SilverCity%20Bindings/%{version}/SilverCity-%{version}.tar.gz
# Source0-md5:	4ae4f9691798385dbde3df9cbb228e8c
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SilverCity is a lexing package, based on Scintilla, that can provide
lexical analysis for over 20 programming and markup langauges.
SilverCity can be used as a C++ library and also has scripting
language bindings for Python.

%prep
%setup -q -n SilverCity-%{version}
%{__sed} -i -e "1i#!%{_bindir}/env python" PySilverCity/Scripts/*.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT{%{_bindir}/*.py,%{_examplesdir}/%{name}-%{version}}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if "%{py_ver}" > "2.4"
%{py_sitedir}/SilverCity-*.egg-info
%endif
%dir %{py_sitedir}/SilverCity
%attr(755,root,root) %{py_sitedir}/SilverCity/_SilverCity.so
%{py_sitedir}/SilverCity/*.py[co]
%{py_sitedir}/SilverCity/default.css
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-silvercity.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b5652a2
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0b50936
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ea7b057
- release 3

* Fri Apr 23 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0fada2f
- missing dir
- release 2

* Fri Feb 12 2010 sparky <sparky@pld-linux.org> 915becc
- BR: rpm-pythonprov

* Fri Feb 12 2010 Elan Ruusamäe <glen@pld-linux.org> e285d29
- fix source url

* Fri Feb 12 2010 Elan Ruusamäe <glen@pld-linux.org> 436109b
- new, based on altlinux src.rpm

